/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- /
/* vim: set shiftwidth=4 tabstop=8 autoindent cindent expandtab: */
.previewer.PdfJs {
	background-color: #fafafa;
	margin: 0px;
	padding: 0px;
   border-bottom: 1px solid #ccc;
}

.previewer.PdfJs.fullPage {
	position: fixed;
	z-index: 1000;
	top: 0px;
	left: 0px;
	right: 0px;
	bottom: 0px;
	max-height: none;
}

.previewer.PdfJs .viewer {
	overflow-y: scroll;
}

.previewer.PdfJs .viewer.loading {
	background: url('../../../themes/default/images/wait.gif') center no-repeat;
}

.previewer.PdfJs .viewer:-webkit-full-screen {
   width: 100%;
   height: 100%;
   max-height: none;
   background-color: #fafafa;
}

.previewer.PdfJs [hidden] {
	display: none !important;
}

/* === Toolbar === */
.previewer.PdfJs .controls {
	background-color: #fafafa;
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
	padding: 2px 0 0 0;
	height: 26px;
	width: 100%;
	white-space: nowrap;
	overflow: hidden;
	font-size: 12px;
}

/* Hide top border in the dashlet, since this has a border of its own already */
.body .previewer.PdfJs .controls {
   border-top: 0px;
}

.previewer.PdfJs .controls .separator {
	display: inline;
	border-left: 1px solid #d3d3d3;
	border-right: 1px solid #fff;
	height: 16px;
	width: 0px;
	margin: 4px 4px 4px 1px;
	padding-left: 0;
	padding-right: 0;
}

.previewer.PdfJs .controls .numPages {
	padding-right: 5px;
}

.previewer.PdfJs .controls>a>img {
	margin: 4px;
	height: 16px;
}

.previewer.PdfJs .controls button {
	line-height: 1.5em;
	border-color: #B7B7B7;
	border-width: 1px;
	background-color: transparent;
	padding: 0 2px;
	min-height: 1.75em;
}

.yui-skin-lightTheme .previewer.PdfJs .controls .yui-button,
.yui-skin-lightTheme .previewer.PdfJs .controls .yui-button .first-child {
    background-color: transparent;
}

/* Add extra padding for down-arrow on RHS of menu buttons, otherwise removed by previous rule */
.previewer.PdfJs .controls .yui-menu-button button {
	padding-right: 20px;
}

.previewer.PdfJs .controls span,.previewer.PdfJs .controls input,.previewer.PdfJs .controls select {
	vertical-align: middle;
}

.previewer.PdfJs .controls>button:hover {
	background-image: url(../../../../themes/default/images/sprite.png);
}

.previewer.PdfJs .controls>select {
	line-height: 1.5em;
	border-color: #B7B7B7;
	border-style: solid;
	border-width: 1px;
	width: auto;
	font-size: 0.9em;
}

.previewer.PdfJs .controls input {
	width: 3em;
	font-size: 0.9em;
}

.previewer.PdfJs .controls>button>img {
	width: 16px;
	height: 16px;
}

.previewer.PdfJs .controls>button[disabled]>img {
	opacity: 0.5;
}

.previewer.PdfJs .controls .pageNumber {
	text-align: right;
}

.previewer.PdfJs .controls .sidebarBtn {
	float: left;
}

.previewer.PdfJs .controlssearch {
   white-space: nowrap;
   overflow: hidden;
   font-size: 0.9em;
   padding: 2px 0;
}

.previewer.PdfJs .controlssearch button {
   line-height: 1.5em;
   border-color: #B7B7B7;
   border-width: 1px;
   background-color: transparent;
   padding: 0 3px;
}

.previewer.PdfJs .controlssearch input[type="search"] {
	width: 10em;
	font-size: 0.9em;
}

.previewer.PdfJs .controlssearch .yui-checkbox-button .first-child { 
    border: none;
    display: inline;
    margin-right: 0px;
    margin-left: 0px;
}

.previewer.PdfJs .controlssearch .buttonHighLightAll .yui-checkbox-button { 
    background-image: url(images/highlight-all-off-16.png); 
    background-position: 0 3px; 
    background-repeat: no-repeat; 
    border: none; 
} 
.previewer.PdfJs .controlssearch .buttonHighLightAll .yui-checkbox-button-checked { 
	background-image: url(images/highlight-all-on-16.png);
	background-color: transparent;
}

.previewer.PdfJs .controlssearch .buttonMatchCase .yui-checkbox-button { 
    background-image: url(images/case-sensitive-off-16.png); 
    background-position: 0 3px; 
    background-repeat: no-repeat; 
    border: none; 
} 
.previewer.PdfJs .controlssearch .buttonMatchCase .yui-checkbox-button-checked { 
   background-image: url(images/case-sensitive-on-16.png);
   background-color: transparent;
}

.previewer.PdfJs .controlssearch .yui-checkbox-button-checked button { 
	color: black;
}

/* Hide the link and search buttons in the dashlet, as the panel CSS is broken */
.body .previewer.PdfJs .controls .searchBarToggle {
   display: none;
}

/* Hide the Maximize and Present buttons, since we only need one and the viewer will work out which one to use */
.previewer.PdfJs .controls .maximizebutton,
.previewer.PdfJs .controls .maximizebuttonSep,
.previewer.PdfJs .controls .presentbutton {
   display: none;
}

/* Hide the link button in all pages except document-details */
.previewer.PdfJs .controls .linkbutton {
   display: none;
}

.linkDialog, .searchDialog {
	visibility: hidden;
	position: absolute;
}

/* Some themes have a min width set to large for our needs */
.searchDialog.yui-panel
{
    min-width: 23em;
}

.yui-panel.linkDialog .bd, .yui-panel.searchDialog .bd {
	padding: 0.5em 1em !important;
}

.yui-panel.linkDialog .bd>div {
	padding: 0.25em 0 !important;
}

.yui-panel.linkDialog .ft, .yui-panel.searchDialog .ft {
	border-top: none;
	padding: 0;
}

.linkDialog .bd input[type=text] {
	width: 35em;
}

/* === Sidebar === */
.previewer.PdfJs .sidebar {
	display: none;
	width: 199px;
	background-color: #fafafa;
	border-right: 1px solid #ccc;
	float: left;
	font-size: 0.9em;
	text-align: left;
}

/* Causes Safari to add padding on RHS as well as LHS and seemingly not needed anyway */
/*
.previewer.PdfJs .viewer.sideBarVisible {
    margin-left: 200px;
}
*/
.previewer.PdfJs .sidebar>div {
	height: 100%;
}

/* Need .yui-skin-default to ensure background is overridden from base CSS */
.sidebar .yui-navset .yui-content {
	background-color: transparent !important;
	border-width: 0px !important;
	position: absolute !important;
	top: 26px !important;
	bottom: 0px !important;
	left: 0px !important;
	right: 0px !important;
	padding: 0 !important;
}

/* Need .yui-skin-default to ensure background is overridden from base CSS */
.sidebar .yui-navset .yui-nav {
	border-width: 0 0 1px !important;
}

.sidebar .yui-navset .yui-nav a em,.sidebar .yui-navset .yui-navset-top .yui-nav a em
	{
	padding: 0.25em 0.75em !important;
	height: 16px !important;
}

.sidebar .yui-navset .yui-content>div {
	height: 100% !important;
	overflow-y: scroll !important;
}

.previewer.PdfJs .sidebar .outlineView {
	padding: 0 0.5em;
}

.previewer.PdfJs .sidebar .outlineView>div,.previewer.PdfJs .sidebar .searchResults>div
	{
	margin-top: 0.25em;
}

.previewer.PdfJs .sidebar .outlineView>:first-child {
	margin-top: 0.5em;
}

.previewer.PdfJs .sidebar .outlineView>:last-child {
	margin-bottom: 0.5emt;
}

.previewer.PdfJs .sidebar .searchView input {
	width: 90px;
	vertical-align: text-bottom;
}

.previewer.PdfJs .sidebar .searchView button {
	font-size: 0.9em;
	padding: 0 4px;
	line-height: 0.9em;
	height: 10px;
}

.previewer.PdfJs .sidebar .searchView>div {
	padding: 0.5em;
}

.previewer.PdfJs .sidebar .searchView>div:first-child {
	background-color: #cccccc;
}

.previewer.PdfJs .sidebar .searchResults {
	text-align: left;
}

.sidebar .thumbnailView {
}

.sidebar .thumbnailView .page {
	border: 1px solid #eee;
	cursor: pointer !important;
	margin: 10px 0 0 10px !important;
}

.previewer.PdfJs .sidebar .thumbnailView .page.activePage,
.previewer.PdfJs .documentView .page.activePage {
   border-color: #aaa;
}

.previewer.PdfJs .thumbnailView .page:last-child {
	margin-bottom: 10px !important;
}

.sidebar .thumbnailView .page.highlighted {
	border: 3px solid #0093FF !important;
	border-radius: 3px 3px 3px 3px !important;
}

.outlineItem>.outlineItems {
	margin-left: 20px;
}

.outlineItem>a {
	text-decoration: none;
	color: black;
}

/* === Content view === */
canvas {
	margin: auto;
	display: block;
}

.previewer.PdfJs .page {
	width: 816px;
	height: 1056px;
	margin: 10px auto;
	position: relative;
	overflow: hidden;
	border: 1px solid #eee;
	background-color: #fff;
}

.previewer.PdfJs .documentView.multiPage .page {
	margin: 10px 0 0 10px;
	float: left;
}

.previewer.PdfJs .documentView.multiPage .page:last-child {
	margin-bottom: 10px;
}

.page>a {
	display: block;
	position: absolute;
}

.page>a:hover {
	opacity: 0.2;
	background: #ff0;
	box-shadow: 0px 2px 10px #ff0;
	-moz-box-shadow: 0px 2px 10px #ff0;
	-webkit-box-shadow: 0px 2px 10px #ff0;
}

.loadingIcon {
	position: absolute;
	display: block;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background: url('images/loading-icon.gif') center no-repeat;
}

.textLayer {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  color: #000;
  font-family: sans-serif;
}

.textLayer > div {
  color: transparent;
  position: absolute;
  line-height:1.3;
  white-space:pre;
}

.textLayer .highlight {
  margin: -1px;
  padding: 1px;

  background-color: rgba(255,255,0, 0.5);
  border-radius: 4px;
}

.textLayer .highlight.begin {
  border-radius: 4px 0px 0px 4px;
}

.textLayer .highlight.end {
  border-radius: 0px 4px 4px 0px;
}

.textLayer .highlight.middle {
  border-radius: 0px;
}

.textLayer .highlight.selected {
  background-color: rgba(255,255,0, 0.5);
}

/* TODO: file FF bug to support ::-moz-selection:window-inactive
   so we can override the opaque grey background when the window is inactive;
   see https://bugzilla.mozilla.org/show_bug.cgi?id=706209 */
::selection {
	background: rgba(0, 0, 255, 0.3);
}

::-moz-selection {
	background: rgba(0, 0, 255, 0.3);
}

/* Specific theme overrides */
.yui-skin-lightTheme .searchDialog.yui-panel .hd
{
   padding: 0.10em;
}

/* === Printed media overrides === */
@media print {
}